{**********************************************************************
                PilotLogic Software House
  
    FPC Package fcl-db

    MariaDB 10.3 Data Dictionary Engine Implementation.
    
    ct9999
 **********************************************************************}
  
unit fpddmariadb103;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, sqldb, fpdatadict, fpddsqldb;
  
Type
  { TSQLDBMariaDB103DDEngine }

  TSQLDBMariaDB103DDEngine = Class(TSQLDBDDEngine)
  Protected
    Function CreateConnection(AConnectString  : String) : TSQLConnection; override;
  Public
    Class function Description : string; override;
    Class function DBType : String; override;
  end;

Procedure RegisterMariaDB103DDEngine;
Procedure UnRegisterMariaDB103DDEngine;

implementation

uses mariadb103conn;

Procedure RegisterMariaDB103DDEngine;

begin
  RegisterDictionaryEngine(TSQLDBMariaDB103DDEngine);
end;

Procedure UnRegisterMariaDB103DDEngine;

begin
  UnRegisterDictionaryEngine(TSQLDBMariaDB103DDEngine);
end;

{ TSQLDBMariaDB103DDEngine }

function TSQLDBMariaDB103DDEngine.CreateConnection(AConnectString: String
  ): TSQLConnection;
begin
  Result:=MariaDB103conn.TMariaDB103Connection.Create(Self);
end;

class function TSQLDBMariaDB103DDEngine.Description: string;
begin
  Result:='MariaDB 10.3 connection using SQLDB';
end;

class function TSQLDBMariaDB103DDEngine.DBType: String;
begin
  Result:='MariaDB 10.3';
end;

end.

